%define major	1
%define libname	%mklibname voikko %{major}
%define devname	%mklibname voikko -d

Summary:	A spellchecker/hyphenator library using Malaga
Name:		libvoikko
Version:	4.3.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Text tools
URL:		https://voikko.puimula.org/
Source:		https://www.puimula.org/voikko-sources/libvoikko/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(hfstospell)

%description
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

Currently only Finnish is supported, but adding support for other
languages should not be too hard.

%package -n	voikko-tools
Summary:	Test programs for libvoikko
Group:		Text tools
Requires:	voikko-dictionary

%description -n	voikko-tools
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool.

This package contains the voikkospell and voikkohyphenate programs.

%package -n	%{libname}
Summary:	Shared library of libvoikko
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

This package contains the library needed to run programs dynamically
linked with libvoikko.

%package -n	%{devname}
Summary:	Headers and static library for libvoikko development
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	libvoikko-devel = %{version}-%{release}
Provides:	voikko-devel = %{version}-%{release}

%description -n	%{devname}
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

This package contains the headers and static library that
programmers will need to develop applications which will use
libvoikko.

%package -n	python3-%{name}
Summary:	Python3 bindings for libvoikko
Group:		Development/Python
Requires:	%{libname} = %{version}
Requires:	voikko-dictionary

%description -n python3-%{name}
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

This package contains the Python3 bindings for libvoikko.

%prep
%autosetup -p2

%build
%configure2_5x \
	--disable-static \
	--with-dictionary-path=%{_prefix}/lib/voikko
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

install -D -m644 python/libvoikko.py %{buildroot}%{python3_sitelib}/libvoikko.py

%files -n voikko-tools
%{_bindir}/voikkogc
%{_bindir}/voikkospell
%{_bindir}/voikkohyphenate
%{_bindir}/voikkovfstc
%{_mandir}/man1/voikkogc.1*
%{_mandir}/man1/voikkospell.1*
%{_mandir}/man1/voikkohyphenate.1*
%{_mandir}/man1/voikkovfstc.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files -n python3-%{name}
%{python3_sitelib}/libvoikko.py*

%changelog
* Tue Oct 17 2023 tex - 4.3.2-1pclos2023
- new version: 4.3.2
